#ifndef __CATEGORY_DIALOG_H
#define __CATEGORY_DIALOG_H

#include "category_setting_view.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _CategoryDialog CategoryDialog;

struct _CategoryDialog {
	GtkWidget*  self;

	CategorySettingView setting_view;
	
};

CategoryDialog* category_dialog_init (CategoryDialog* dialog, GtkWindow* parent);

void category_dialog_destroy (CategoryDialog* dialog);


#define category_dialog_new(p)    category_dialog_init(g_malloc(sizeof(CategoryDialog)), p)

#ifdef __cplusplus
}
#endif

#endif  // End of __CATEGORY_DIALOG_H
