#ifndef __SELECTION_STORE_H
#define __SELECTION_STORE_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

enum SELECTION_STORE_COLUMNS {
	SELECTION_STORE_SELECTED,
	SELECTION_STORE_STRING,
	SELECTION_STORE_COUNT,
	SELECTION_STORE_N_COLUMNS
};

GtkListStore* selection_store_new ();

void selection_store_set_selection_all (GtkListStore* ls,
                                        gboolean selection);

gboolean selection_store_get_first_selected (GtkListStore* ls,
                                             GtkTreeIter* iter,
                                             gchar** return_str);

gboolean selection_store_get_next_selected (GtkListStore* ls,
                                            GtkTreeIter* iter,
                                            gchar** return_str);

#ifdef __cplusplus
}
#endif

#endif  // End of __SelectionStore_H
