#include "setting_view_icons.h"

static gchar* icons_name[DOWNLOAD_N_STATE] = {
	GTK_STOCK_NEW,          // DOWNLOAD_STATE_WAITING
	GTK_STOCK_NO,           // DOWNLOAD_STATE_PAUSE
	GTK_STOCK_DIALOG_ERROR, // DOWNLOAD_STATE_ERROR
	GTK_STOCK_EXECUTE,      // DOWNLOAD_STATE_EXECUTING
	GTK_STOCK_REDO,         // DOWNLOAD_STATE_RETRY
	GTK_STOCK_APPLY,        // DOWNLOAD_STATE_COMPLETED
	GTK_STOCK_DELETE        // DOWNLOAD_STATE_RECYCLED
};

GdkPixbuf* download_state_icons[DOWNLOAD_N_STATE] = {0};

void download_state_icons_render (GtkWidget* widget)
{
	guint temp;

	if (download_state_icons[0]==NULL) {
	// render download icons for GtkTreeView
		for(temp=0; temp<DOWNLOAD_N_STATE; ++temp) {
			download_state_icons[temp] = gtk_widget_render_icon (widget,
			                                          icons_name[temp],
			                                          GTK_ICON_SIZE_MENU,
			                                          NULL);
			g_object_unref (G_OBJECT(download_state_icons[temp]));
		}
	}
}

