/*
	category_selection_dilaog.h



	2003   Plus Huang
 */

#ifndef __CATEGORY_SELECTION_DIALOG_H
#define __CATEGORY_SELECTION_DIALOG_H

#include <gtk/gtk.h>
#include "category_view.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _CategorySelectionDialog      CategorySelectionDialog;

struct _CategorySelectionDialog {
	GtkDialog*     self;

	GtkTreeView*   category_view;
};

CategorySelectionDialog* category_selection_dialog_new (const gchar* title,
                                                        CategoryStore* cs,
                                                        GtkWindow* parent);

void category_selection_dialog_destroy (CategorySelectionDialog* csd);

Category* category_selection_dialog_get_selected (CategorySelectionDialog* csd);

#ifdef __cplusplus
}
#endif

#endif  // End of __CATEGORY_SELECTION_DIALOG_H
