#ifndef __CATEGORY_VIEW_H
#define __CATEGORY_VIEW_H

#include "category_store.h"

#ifdef __cplusplus
extern "C" {
#endif

// create list view for CategoryStore
GtkTreeView* category_list_view_new (CategoryStore* cs);

// create tree view for CategoryStore
GtkTreeView* category_tree_view_new (CategoryStore* cs);

gboolean category_tree_view_get_selected (GtkTreeView*       tree_view,
                                          Category**         category,
                                          DownloadListView** download_view,
                                          DownloadStore**    download_store);

#ifdef __cplusplus
}
#endif

#endif  /* End of __CATEGORY_VIEW_H */

