/*
	global_dialog.h



	2003  Plus Huang
 */

#ifndef __GLOBAL_DIALOG_H
#define __GLOBAL_DIALOG_H

#include <gtk/gtk.h>
#include "global_setting.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _GlobalDialog GlobalDialog;

struct _GlobalDialog {
	GtkDialog* self;

	GtkWidget* notebook;
	GtkWidget* spin_active_category;
	GtkWidget* button_visible;

	GtkWidget* button_monitoring;
	GtkWidget* entry_extention;
};

GlobalDialog* global_dialog_new (GtkWindow* parent);
void global_dialog_destroy (GlobalDialog* gd);

void global_dialog_set (GlobalDialog* gd, GlobalSetting* setting);
void global_dialog_get (GlobalDialog* gd, GlobalSetting* setting);

#ifdef __cplusplus
}
#endif

#endif  // End of __GLOBAL_DIALOG_H

