#ifndef __URLGFE_PARSER_H
#define __URLGFE_PARSER_H

#include "conf_parser.h"
#include "global_setting.h"

#ifdef __cplusplus
extern "C" {
#endif

ConfParserEntry* urlgfe_get_proxy_parser ();
ConfParserEntry* urlgfe_get_downloaded_parser ();
ConfParserEntry* urlgfe_get_category_parser ();
ConfParserEntry* urlgfe_get_global_parser ();

GList* urlgfe_parser_read_category (ConfParser*  cp,
                                    const gchar* filename,
                                    GError** error);

GlobalSetting* urlgfe_parser_read_setting (ConfParser*  cp,
                                           const gchar* filename,
                                           GError** error);

#ifdef __cplusplus
}
#endif

#endif  // End of __URLGFE_PARSER_H


